Subject: bug#9088: Java support

From: Jack Kelly <[email-masked]>
Date: Sat, 16 Jul 2011 14:13:58 +1000

On Sat, Jul 16, 2011 at 9:55 AM, tsuna <[email-masked]> wrote:
> On Fri, Jul 15, 2011 at 1:58 AM, Stefano Lattarini
> <[email-masked]> wrote:
>> As my java foo is pretty weak, I'm not sure how to handle jar manifests,
>> jar entry points, or other jar/javac subtleties and advanced features.
>> Suggestions welcome.
>
> You can create the manifest manually fairly easily.  Here's an example
> in the project I'm in the process of autotoolizing:
> https://github.com/stumbleupon/opentsdb/blob/6059488f38fc8a51d426d6972eee6fdd1033d851/Makefile#L207

Perhaps there should be support for a foo_jar_JARADD, that by analogy
to _LDADD, that specifies additional files to be included in the jar?
Then the manifest is just another file. My Java-foo is also weak, so
I'm not 100% sure if that would actually work.

-- Jack